jundai

動作の不具合の検証には環境情報が必要です。投稿の際は下記の情報をお書き添えください。
-------------------------------------------
WordPress のバージョン:(例 5.6)
Welcart のバージョン:(例 2.1.1)
PHP のバージョン:(例 7.4)
Welcart専用の拡張プラグインとバージョン:(例 DL Seller 3.0.8、SKU Select 1.1.4)
ご利用のテーマ:(例 WelcartBasic の自作子テーマ)
症状を確認したブラウザ:
サーバー【重要】:(会社名、サービス名)
--------------------------------------------

フォーラムへの返信

4件の投稿を表示中 - 1 - 4件目 (全4件中)
  • 投稿者
    投稿
  • jundai
    参加者

    お返事遅れました。本件で解決しています。ありがとうございます。

    jundai
    参加者

    改めまして、この改修は、うまくいかないようです。
    Welcartの自動更新のたびに元のコードに戻り、同等のエラーが発生して
    サイトのWelcartプラグインが無効化されてしまいます。

    よき対処策を教えていただければと思います。

    Wordpress.comに質問を投げることも可能です。
    困りました。WelcartだとWordpress.comで全く立ち上がらないです。

    回避策としてご存知の方も教えて欲しいです。
    決まったコードを必ず直す必要がある場合、皆さんはどのように適用していますか。
    自動パッチなど当てないと無効になるたびにあげなおす必要があります。
    自動アップデート無効が単純な対処策だとは思うのですが、特定の場所を書き換えさえすれば動くということなのですが。

    jundai
    参加者

    以下のように切り替えて動作しましたが、気になることあればどなたでもコメントください。
    usc-e-shop.php

    //define(‘USCES_PLUGIN_DIR’, USCES_WP_PLUGIN_DIR . ‘/’ . plugin_basename(dirname(__FILE__)));

    define(‘USCES_PLUGIN_DIR’, plugin_dir_path(__FILE__));

    初心者には難易度が高いですね。2週間はかかりました。
    動作するかも不安です。

    • この返信は1年、 3ヶ月前にjundaiが編集しました。
    jundai
    参加者

    >こんにちは。
    >WordPress.com の無料プランをご利用でしょうか。無料プランでは外部プラグインは利用できなかったかと思います。

    ご返答遅く申し訳ないです。返信ありがとうございます。
    無料プランではなく、有料プランです。

    困っています。

4件の投稿を表示中 - 1 - 4件目 (全4件中)